Name:           perl-POE-Component-Server-SimpleHTTP
Version:        1.48
Release:        2%{?dist}
Summary:        Serve HTTP requests in POE
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Component-Server-SimpleHTTP/
#Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/POE-Component-Server-SimpleHTTP-1.23.tar.gz
Source0:        http://www.cpan.org/modules/by-module/POE/POE-Component-Server-SimpleHTTP-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(IPC::Shareable)
BuildRequires:  perl(POE)
BuildRequires:  perl(POE::Component::SSLify) >= 0.04
BuildRequires:  perl(POE::Driver::SysRW)
BuildRequires:  perl(POE::Filter::HTTPD)
BuildRequires:  perl(POE::Wheel::ReadWrite)
BuildRequires:  perl(POE::Wheel::SocketFactory)

# tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(POE::Component::Client::HTTP)

# optional tests
BuildRequires:  perl(Test::Pod)
#BuildRequires:  perl(Test::Pod::Coverage)
#BuildRequires:  perl(Test::Kwalitee)

# missed due to a use base construct
Requires:       perl(HTTP::Response)


%description
This module makes serving up HTTP requests a breeze in POE.


%prep
%setup -q -n POE-Component-Server-SimpleHTTP-%{version}

# dos encoding, eww
sed -i 's/\r//' examples/*

%build
(echo y ; echo y) | %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README Changes examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.48-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.48-1
- update to 1.48

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.23-3
- rebuild for new perl

* Sat Apr 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.23-2
- additional testing BR

* Sat Apr 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.23-1
- update to 1.23
- update source URL (maintainer changed)
- add BR's for potential perl splittage
- add BR's for tests -- note pod coverage fails, so we just leave that one
  commented out

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.13-1
- update to 1.13
- add examples/ to %%doc; correct encoding in %%prep
- explicitly requires perl(HTTP::Base); was missed due to a use base construct

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.11-3
- bump for mass rebuild

* Fri Aug 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.11-2
- bump

* Wed Aug 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.11-1
- Specfile autogenerated by cpanspec 1.68.
- Initial spec file for F-E
